library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity full_adder_tb is
end entity;

architecture a of full_adder_tb is
   component full_adder is
      port (
         a, b, cin: in std_logic;
         s, cout: out std_logic
      );
   end component;
signal a: unsigned(2 downto 0);
signal o: unsigned(1 downto 0);
begin

uut: full_adder port map (
        a => a(0),
        b => a(1),
        cin => a(2),
        s => o(0),
        cout => o(1)
     );

   test: process
   begin
      for i in 0 to 7 loop
         a <= to_unsigned(i,3);
         wait for 20 ns;
      end loop;
      wait;
   end process;

end architecture a;
