library ieee;
use ieee.std_logic_1164.all;

package rs_test_interface is

procedure PROC_RS_WRITE_BYTE (
  val         : in std_logic_vector (7 downto 0);
  signal buf_empty_n : in std_logic;
  signal clk  : in std_logic;
  signal load : out std_logic;
  signal data : out std_logic_vector (7 downto 0)
);

end package rs_test_interface;

-- Package Body

package body rs_test_interface is

procedure PROC_RS_WRITE_BYTE (
  val         : in std_logic_vector (7 downto 0);
  signal buf_empty_n : in std_logic;
  signal clk  : in std_logic;
  signal load : out std_logic;
  signal data : out std_logic_vector (7 downto 0)
) is
begin
   while true loop
      wait until clk'event and clk = '1';
      if buf_empty_n = '0' then
         load <= '1';
         data <= val;
         wait until clk'event and clk = '1';
         load <= '0';
         exit;
      end if;
   end loop;
end PROC_RS_WRITE_BYTE;

end package body rs_test_interface;
